Subject: Re: bug#18051: [Emacs-diffs] trunk r117726: Add string collation.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Aug 2014 13:06:13 +0300

> Date: Fri, 29 Aug 2014 10:59:37 +0200
> From: martin rudalics <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
>  > Good idea, that would also make Glenn happy. (That's not a joke, I mean
>  > it seriously!)
> 
> It would make me happy as well.  I have not yet started to convert my
> fairly insane sorting functions to the new ones because mine are
> generally based on case-insensitiveness.  Also I'm not yet sure how the
> new predicates will relate to functions like `compare-strings' (which
> IIUC is needed until now to make sorting case-insensitive),
> `sort-lines', `sort-subr' and the like.  I'd hope that all of these
> could profit from the new functions.

Case-insensitive versions of the new functions are yet to be written;
stay tuned.

For now, on MS-Windows, you can have that if you use the
NORM_IGNORECASE flag as the second argument of CompareStringW inside
w32_compare_strings.

For Posix, I guess we should run the 2 strings through towupper (or
towupper_l, if it exists), and then compare the results with
wcscoll/wcscoll_l.